Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Namespaces | Macros
gradechop.cpp File Reference
`#include "gradechop.h"`
`#include "wordrec.h"`
`#include "olutil.h"`
`#include "chop.h"`
`#include "ndminx.h"`
`#include <math.h>`

Go to the source code of this file.

## Namespaces

namespace | tesseract

## Macros

#define | CENTER_GRADE_CAP 25.0
#define | find_bounds_loop(point1, point2, x_min, x_max)

## Macro Definition Documentation

#define CENTER_GRADE_CAP 25.0

Definition at line 38 of file gradechop.cpp.

#define find_bounds_loop | ( |  | point1,
|  |  | point2,
|  |  | x_min,
|  |  | x_max
| ) |  |

Value:
x_min = point2->pos.x; \
x_max = point2->pos.x; \
\
this_point = point1; \
do { \
x_min = MIN (this_point->pos.x, x_min); \
x_max = MAX (this_point->pos.x, x_max); \
this_point = this_point->next; \
} \
while (this_point != point2 && this_point != point1) \

Definition at line 49 of file gradechop.cpp.